commit a31b8b2c91b548cc11f9e482315beb2373211b5e
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Mar 26 16:17:16 2023 +0100

    Make $router_name usable from transport

diff --git a/src/src/deliver.c b/src/src/deliver.c
index f3a406990..ad045c8cc 100644
--- a/src/src/deliver.c
+++ b/src/src/deliver.c
@@ -2371,7 +2371,9 @@ if ((pid = exim_fork(US"delivery-local")) == 0)
      addr->local_part, tp->name);
 
     /* Setting these globals in the subprocess means we need never clear them */
-    transport_name = addr->transport->name;
+
+    transport_name = tp->name;
+    if (addr->router) router_name = addr->router->name;
     driver_srcfile = tp->srcfile;
     driver_srcline = tp->srcline;
 
@@ -4663,7 +4665,9 @@ all pipes, so I do not see a reason to use non-blocking IO here
     host_item *h;
 
     /* Setting these globals in the subprocess means we need never clear them */
-    transport_name = addr->transport->name;
+
+    transport_name = tp->name;
+    if (addr->router) router_name = addr->router->name;
     driver_srcfile = tp->srcfile;
     driver_srcline = tp->srcline;
 

